- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_client_session_t

# mongoc_client_session_append()

## Synopsis

    bool
    mongoc_client_session_append (const mongoc_client_session_t *client_session,
                                  bson_t *opts,
                                  bson_error_t *error);

## Parameters

- `client_session`: A pointer to a mongoc_client_session_t.
- `opts`: A pointer to a `bson_t`.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

This function appends a logical session id to command options. Use it to configure a session for any function that takes an options document, such as mongoc_client_write_command_with_opts().

## Returns

Returns true on success. If any arguments are invalid, returns false and fills out `error`.

## Example

See the example code for mongoc_client_session_t.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.